//go:build unix && !darwin
package nasin

import "git.tebibyte.media/tomo/xdg/basedir"

func userDataDir () (string, error) {
	return basedir.DataHome()
}

func systemDataDirs () ([]string, error) {
	return basedir.DataDirs()
}

func userConfigDir () (string, error) {
	return basedir.ConfigHome()
}

func systemConfigDirs () ([]string, error) {
	return basedir.ConfigDirs()
}

func userCacheDir () (string, error) {
	return basedir.CacheHome()
}
